# Livescores

You can obtain all the fixtures that are currently in-play via our livescores endpoints.

Responses of the livescore endpoint are highly customizable because many includes are available to extend the response. You can find a list of available includes below, listed per endpoint option.&#x20;

The three options to retrieve livescores are:

* **GET All Inplay Livescores:** returns all the inplay fixtures.
* **GET All Livescores:** returns the fixtures 15 minutes before the game starts. It will also disappear 15 minutes after the game is finished.
* **GET Latest Updated Livescores:** returns all livescores that have received updates within 10 seconds.

#### Include options

[`sport`](https://docs.sportmonks.com/v3/core-api/) [`round`](/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#round) [`stage`](/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#stage) [`group`](/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#group) [`aggregate`](/v3/endpoints-and-entities/entities/fixture.md#aggregate) [`league`](/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#league) [`season`](/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#season)[`coaches`](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#coach) [`tvStations`](/v3/endpoints-and-entities/entities/other.md#tvstation) [`venue`](/v3/endpoints-and-entities/entities/other.md#venue) [`state`](/v3/endpoints-and-entities/entities/other.md#state)  [`weatherReport`](/v3/endpoints-and-entities/entities/other.md#weatherreport) [`lineups`](/v3/endpoints-and-entities/entities/fixture.md#lineup) [`events`](/v3/endpoints-and-entities/entities/fixture.md#event) [`timeline`](/v3/endpoints-and-entities/entities/fixture.md#event) [`comments`](/v3/endpoints-and-entities/entities/other.md#commentary) [`trends`](/v3/endpoints-and-entities/entities/statistic.md#trend) [`statistics`](/v3/endpoints-and-entities/entities/statistic.md#fixturestatistic) [`periods`](/v3/endpoints-and-entities/entities/fixture.md#period) [`participants`](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#team) [`inplayOdds`](/v3/endpoints-and-entities/entities/odd-and-prediction.md#inplayodd) [`prematchNews`](/v3/endpoints-and-entities/entities/other.md#news)  [`postmatchNews`](/v3/endpoints-and-entities/entities/other.md#news) [`metadata`](/v3/endpoints-and-entities/entities/other.md#metadata) [`sidelined`](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#sidelined)[`predictions`](/v3/endpoints-and-entities/entities/odd-and-prediction.md#prediction-valuebet) [`referees`](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#referees) [`formations`](/v3/endpoints-and-entities/entities/fixture.md#formation) [`ballCoordinates`](/v3/endpoints-and-entities/entities/fixture.md#ballcoordinate) [`scores`](/v3/endpoints-and-entities/entities/fixture.md#score)  [`xGFixture`](/v3/endpoints-and-entities/entities/expected.md) `expectedLineups`&#x20;

#### **Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the livescores endpoints are:

* [Fixture](/v3/endpoints-and-entities/entities/fixture.md#fixture)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/livescores.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
